## whipper 0.9.0

=== requirements.txt ===
musicbrainzngs
mutagen
pycdio>0.20
PyGObject
requests
ruamel.yaml
setuptools_scm

=== debian/changelog ===
whipper (0.9.0-7) unstable; urgency=medium

  [ Krzysztof Krzyżaniak (eloy) ]
  * control: Update dependencies, added flac package (Closes: #978166)

  [ Stefano Rivera ]
  * Depend on python3-distutils, it's used at runtime (Closes: #971628)

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Tue, 27 Apr 2021 14:22:21 +0200

whipper (0.9.0-6) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Fri, 01 Jan 2021 22:04:03 +0100

whipper (0.9.0-5) unstable; urgency=medium

  * control: Update description (closes: #968880)

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Sun, 23 Aug 2020 13:39:11 +0200

whipper (0.9.0-4) unstable; urgency=medium

  * control: Add cdrdao to depends. (Closes: #961758)
  * dont-require-setuptools-scm.diff, rules: Fix the reported version.
    (Closes: #961770)
  * Close bugs that don't apply to this repo version. (Closes: #961763,
    #961520, #961768)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 May 2020 09:17:36 +0300

whipper (0.9.0-3) unstable; urgency=medium

  * Build against python3.8

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Thu, 12 Mar 2020 11:35:32 +0100

whipper (0.9.0-2) unstable; urgency=medium

  * Add python3-ruamel.yaml to dependencies.
  * Closes: ##850541

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Thu, 19 Dec 2019 21:42:45 +0100

whipper (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * Switch to python3 in dependencies and binary package
  * Drop python2 support

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Thu, 19 Dec 2019 19:46:58 +0100

whipper (0.7.3-2) unstable; urgency=medium

  * Update dependencies

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Fri, 05 Apr 2019 09:08:57 +0200

whipper (0.7.3-1) unstable; urgency=medium

  * New upstream release

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Wed, 03 Apr 2019 08:51:09 +0200

whipper (0.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Tue, 15 May 2018 17:56:27 +0200

whipper (0.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Fri, 16 Mar 2018 16:56:20 +0100

whipper (0.5.1-1) unstable; urgency=medium

  * Initial release

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Mon, 10 Jul 2017 19:46:32 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=whipper

export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install

override_dh_auto_test:
	echo "Skip dh_auto_test"

=== debian/watch ===
version=4

# Direct Git
opts="mode=git" https://github.com/JoeLametta/whipper \
   refs/tags/v([\d\.]+) debian uupdate

## whipper 0.10.0

=== requirements.txt ===
musicbrainzngs
mutagen
pycdio>0.20
PyGObject
ruamel.yaml
setuptools_scm
discid

=== man/Makefile ===
MAKEFLAGS += --silent

build:
	for manpage in *.rst; do rst2man --exit-status=2 --report=1 $${manpage} "$${manpage%%.*}".1 ; done

clean:
	rm *.1

=== debian/changelog ===
whipper (0.10.0-5build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:31:34 +0000

whipper (0.10.0-5build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 16:32:48 +0000

whipper (0.10.0-5build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 04:38:01 +0100

whipper (0.10.0-5) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * DEB_VERSION_UPSTREAM has to be defined somehow

  [ Martin Dosch ]
  * d/control: Add dependency on eject. (Closes: #1081536)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 12 Sep 2024 11:02:22 -0400

whipper (0.10.0-4) unstable; urgency=medium

  * Team upload.
  * Fix disrepancy between Debian archive and VCS.
  * d/whipper.install: install metainfo.xml.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 24 May 2024 17:06:16 -0400

whipper (0.10.0-3) unstable; urgency=medium

  * Team upload.
  * d/control, patches: drop dependency on python-distutils and add 0005. This
    reduces the severity of BTS #1066011.
  * d/patches: build using pyproject.toml via 0006 and delete obsolete 0001.
  * d/control, tests: replace d/tests by autopkgtest-pkg-pybuild.
  * d/whipper.install: install accuraterip-checksum script manually.
  * d/patches: add 0007 to fix ruamel.yaml bug. (Closes: #1067620)
  * d/patches: add 0008 to use Python3 explicitly.
  * d/control: Standards-Version update to 4.7.0. No changes needed.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 17 May 2024 18:27:52 -0400

whipper (0.10.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 17 Jun 2022 09:40:05 +0100

whipper (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #1001698, #1008741, #978435)

  [ Louis-Philippe Véronneau ]
  * d/rules: run testsuite during build.
  * d/rules: build and install manpages. (Closes: #974859)
  * d/patches: add 0003 to replace discid by libdiscid.
  * d/tests: run testsuite as autopkgtests.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 14 Apr 2022 23:44:30 -0400

whipper (0.9.0-8) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * move to the DPT.
  * d/control: update standards version to 4.6.0, no changes needed.
  * d/patches: remove 0001, as it create a bug. (Closes: #961770)
  * d/rules: build using hardening=+all.
  * d/upstream/metadate: add Repository entry.

  [ Debian Janitor ]
  * Remove empty leading paragraph in Description.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Contact.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 12 Apr 2022 12:58:26 -0400

=== debian/control ===
Source: whipper
Section: sound
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Krzysztof Krzyżaniak (eloy) <eloy@debian.org>
Rules-Requires-Root: no
Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  pybuild-plugin-pyproject,
  libsndfile1-dev,
  python3-all-dev,
  python3-docutils,
  python3-setuptools,
  python3-setuptools-scm,
  python3-twisted,
  sox,
  python3-cdio <!nocheck>,
  python3-gi <!nocheck>,
  python3-libdiscid <!nocheck>,
  python3-musicbrainzngs <!nocheck>,
  python3-mutagen <!nocheck>,
  python3-ruamel.yaml <!nocheck>,
  cd-paranoia <!nocheck>,
  cdrdao <!nocheck>
Standards-Version: 4.7.0
Homepage: https://github.com/whipper-team/whipper/
Vcs-Browser: https://salsa.debian.org/python-team/packages/whipper
Vcs-Git: https://salsa.debian.org/python-team/packages/whipper.git
Testsuite: autopkgtest-pkg-pybuild

Package: whipper
Architecture: any
Depends: ${python3:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
  python3-cdio,
  python3-gi,
  python3-libdiscid,
  python3-musicbrainzngs,
  python3-mutagen,
  python3-pil,
  python3-requests,
  python3-ruamel.yaml,
  sox,
  cd-paranoia,
  cdrdao,
  eject,
  flac
Description: CD-DA ripper
 Whipper is an audio CD (CD-DA) ripper. It priorizes accuracy over speed, can
 verify rips against the AccurateRip database, can perform various tests and
 loads metadata for the output files.
 .
 Whipper is originally based on the morituri project.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=whipper
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installman:
	cd man && make build
	dh_installman man/*.1

execute_after_dh_auto_clean:
	cd man && make clean
